// pages/create-project/index.js
import http from '../../utils/http'
import util from '../../utils/util'

Page({

  /**
   * 页面的初始数据
   */
  data: {
    name: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  onChange: function(e) {
    var name = e.currentTarget.dataset.name
    this.setData({
      [name]: e.detail
    })
  },

  submit: function() {
    if(!this.data.name) {
      util.error('项目名称必填')
      return false;
    }
    http({
      url: 'projects/create',
      data: {
        name: this.data.name
      },
      success: function(res) {
        if(res.code == 0) {
          util.success('创建成功')
        }
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})